function generateSparseVectors(n, TOTAL_TRIALS)

kArray = 2.^(1:8);

for kInd = 1:length(kArray)
    k = kArray(kInd);
    
    for trial = 1:TOTAL_TRIALS
        x = generate_sparse_RIR(n, k);
        x = x';
        
        fname = sprintf('../data/x_n%d_k%d_trial%d.mat', n, k, trial);
        save(fname, 'x');
    end
end

fprintf(1, 'Done\n');