function plotResults()

n = 1024;
kArray  = 2.^(1:8);
mArray = [16, 32, 64, 128, 256, 512];


for mIndex = 1:length(mArray)
    
    m = mArray(mIndex);
    
    for kIndex = 1:length(kArray);
        
        k = kArray(kIndex);
        
        fname = sprintf('../results/error_n%d_m%d_k%d.mat', n, m, k);
        load(fname);
        
        
        
        plotData(kIndex, mIndex) = mean(err);
        
    end
end


h = figure;
plot(kArray/n, plotData);
xlabel('$k/n$', 'Fontsize', 20, 'interpreter', 'latex')
ylabel('$\|x-\hat{x}\|/\|x\|$', 'Fontsize', 20, 'interpreter', 'latex')
legend('m = 16', 'm = 32', 'm = 64', 'm = 128', 'm = 256', 'm = 512');



